#
# spec file for package rubygem-babosa
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-babosa
Version:        1.0.2
Release:        1.6
%define mod_name babosa
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/norman/babosa
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A library for creating slugs
License:        MIT
Group:          Development/Languages/Ruby

%description
A library for creating slugs. Babosa an extraction and improvement of the
string code from FriendlyId, intended to help developers create similar
libraries or plugins.

%prep

%build

%install
%gem_install \
  --doc-files="Changelog.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Feb  9 2015 coolo@suse.com
- updated to version 1.0.2
  * Fix regression in ActiveSupport UTF8 proxy.
  [#]# 1.0.1
  * Fix error with tidy_bytes on Rubinius.
  * Simplify Active Support UTF8 proxy.
  * Fix `allow_bangs` argument to to_ruby_method being silently ignored.
  * Raise error when generating an impossible Ruby method name.
  [#]# 1.0.0
  * Adopt semantic versioning.
  * When using Active Support, require 3.2 or greater.
  * Require Ruby 2.0 or greater.
  * Fix Ruby warnings.
  * Improve support for Ukrainian.
  * Support some additional punctuation characters used by Chinese and others.
  * Add Polish spec.
  * Use native Unicode normalization on Ruby 2.2 in UTF8::DumbProxy.
  * Invoke Ruby-native upcase/downcase in UTF8::DumbProxy.
  * Proxy `tidy_bytes` method to Active Support when possible.
  * Remove SlugString constant.
* Wed Jul 31 2013 coolo@suse.com
- updated to version 0.3.11
  * 0.3.11 - Added support for Vietnamese
  * 0.3.10 - Fixed Macedonian "S/S". Don't `include JRuby` unnecessarily.
* Sat Feb  9 2013 coolo@suse.com
- updated to version 0.3.9
  - Added missing greek vowels with diaeresis
* Fri Aug  3 2012 coolo@suse.com
- updated to version 0.3.8
  * Correct and improve Macedonian support.
* Fri Jul 22 2011 fcastelli@novell.com
- Added provides rubygem-babosa_0_3, it's required to build latest
  version of rubygem-friendly_id
* Thu Jul 21 2011 cmessel@novell.com
- Package version 0.3.5
* Tue Dec  7 2010 chris@computersalat.de
- Initial package 0.2.0
